/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.jameica.orverw.parts.labelpart;

/**
 * Die Aufz&auml;hlung ent h&auml;hlt alle Bereiches des Label. Sie wird
 * verwendet um die Einstell-Button einem Bereich zu zuordnen, damit der
 * Kontroller sp&auml;ter wei&szlig;, was er wo tun muss.
 *
 * @author Frank Mnster
 * @since 1.0
 */
public enum LabelPartSectionsEnum {

    /**
     * Der Titeltextbereich
     */
    TITLE,
    /**
     * Der Hauptbereich
     */
    CONTENT,
    /**
     * Der Fu&szlig;bereich
     */
    FOOTER,
    /**
     * Kein Bereich, sonder ist allgemein g&uuml;ltig
     */
    GENERAL

}
